Bug 972436 - [abrt] midori-0.4.7-2.fc18: elf_machine_rel: Process /usr/bin/midori was killed by signal 7 (SIGBUS)
[abrt] midori-0.4.7-2.fc18: elf_machine_rel: Process /usr/bin/midori was kill...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: midori (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:f97fd88ccb2cf82592539897eba...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 08:14 EDT by rob.jacko.jackson
Modified: 2014-02-05 18:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:11:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (116.21 KB, text/plain)
2013-06-09 08:14 EDT, rob.jacko.jackson
no flags Details
File: cgroup (128 bytes, text/plain)
2013-06-09 08:14 EDT, rob.jacko.jackson
no flags Details
File: core_backtrace (408 bytes, text/plain)
2013-06-09 08:14 EDT, rob.jacko.jackson
no flags Details
File: dso_list (8.26 KB, text/plain)
2013-06-09 08:14 EDT, rob.jacko.jackson
no flags Details
File: environ (1.72 KB, text/plain)
2013-06-09 08:15 EDT, rob.jacko.jackson
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-09 08:15 EDT, rob.jacko.jackson
no flags Details
File: maps (23.34 KB, text/plain)
2013-06-09 08:15 EDT, rob.jacko.jackson
no flags Details
File: open_fds (117 bytes, text/plain)
2013-06-09 08:15 EDT, rob.jacko.jackson
no flags Details
File: proc_pid_status (768 bytes, text/plain)
2013-06-09 08:15 EDT, rob.jacko.jackson
no flags Details
File: var_log_messages (918 bytes, text/plain)
2013-06-09 08:15 EDT, rob.jacko.jackson
no flags Details
File: xsession_errors (166 bytes, text/plain)
2013-06-09 08:15 EDT, rob.jacko.jackson
no flags Details

  None (edit)
Description rob.jacko.jackson 2013-06-09 08:14:43 EDT
Description of problem:
On startup either from terminal or from applications menu of XFCE.  Occurs every time.

Version-Release number of selected component:
midori-0.4.7-2.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        midori
crash_function: elf_machine_rel
executable:     /usr/bin/midori
kernel:         3.6.10-4.fc18.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 elf_machine_rel at ../sysdeps/i386/dl-machine.h:339
 #1 elf_dynamic_do_Rel at do-rel.h:145
 #2 _dl_relocate_object at dl-reloc.c:295
 #3 dl_main at rtld.c:2299
 #4 _dl_sysdep_start at ../elf/dl-sysdep.c:242
 #5 _dl_start_final at rtld.c:336
 #6 _dl_start at rtld.c:562
Comment 1 rob.jacko.jackson 2013-06-09 08:14:48 EDT
Created attachment 758734 [details]
File: backtrace
Comment 2 rob.jacko.jackson 2013-06-09 08:14:51 EDT
Created attachment 758735 [details]
File: cgroup
Comment 3 rob.jacko.jackson 2013-06-09 08:14:55 EDT
Created attachment 758736 [details]
File: core_backtrace
Comment 4 rob.jacko.jackson 2013-06-09 08:14:59 EDT
Created attachment 758737 [details]
File: dso_list
Comment 5 rob.jacko.jackson 2013-06-09 08:15:03 EDT
Created attachment 758738 [details]
File: environ
Comment 6 rob.jacko.jackson 2013-06-09 08:15:06 EDT
Created attachment 758739 [details]
File: limits
Comment 7 rob.jacko.jackson 2013-06-09 08:15:09 EDT
Created attachment 758740 [details]
File: maps
Comment 8 rob.jacko.jackson 2013-06-09 08:15:12 EDT
Created attachment 758741 [details]
File: open_fds
Comment 9 rob.jacko.jackson 2013-06-09 08:15:16 EDT
Created attachment 758742 [details]
File: proc_pid_status
Comment 10 rob.jacko.jackson 2013-06-09 08:15:22 EDT
Created attachment 758743 [details]
File: var_log_messages
Comment 11 rob.jacko.jackson 2013-06-09 08:15:25 EDT
Created attachment 758744 [details]
File: xsession_errors
Comment 12 Kevin Fenzi 2013-06-09 12:25:59 EDT
Something seems odd with your dynamic library loading. 

Can you attach the contents of: 

/etc/ld.so.preload

and also the output of: 

rpm -V libuuid
Comment 13 rob.jacko.jackson 2013-06-09 15:08:35 EDT
Thanks for looking into this;

/etc/ld.so.preload doesn't exist (ld.so.conf and ls.so.cache do exist).

rpm -V libuuid doesn't return anything either as root or as user.

Thanks
Rob
Comment 14 rob.jacko.jackson 2013-06-09 15:15:29 EDT
Bit more searching:

#yum install libuuid returns:
Package libuuid-2.22.2-6.fc18.i686 already installed and latest version

and locate libuuid returns
/usr/lib/libuuid.so.1
/usr/lib/libuuid.so.1.3.0
/usr/share/doc/libuuid-2.22.2
/usr/share/doc/libuuid-2.22.2/COPYING

if that helps at all.

Thanks
Rob
Comment 15 Kevin Fenzi 2013-06-25 16:00:38 EDT
This is very odd. 

Can you try the scratch build in: 

http://koji.fedoraproject.org/koji/taskinfo?taskID=5540304

and see if the same problem occurs?
Comment 16 rob.jacko.jackson 2013-07-02 08:12:39 EDT
I've deinstalled the old version and installed this version, and the same error occurs; however when the error is flagged in the bug reporting tool within xfce, it states that the error is from the older 0.4x version (I don't know whether this is significant).

To reiterate - I yum unistalled midori, rpm -i the new package that you pointed me to and then ran it.

As it has been suggested that it might be due to something odd re dynamic library linking I might download FC19 and see if it works in that version.

Thanks for your help
Rob
Comment 17 Fedora End Of Life 2013-12-21 10:33:07 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2014-02-05 18:11:20 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.